Update Wishlist
Updates a wishlist.
Use this endpoint to update existing wishlist items, change the wishlistʼs name and whether the wishlist is available publicly. To add or delete a wishlist item, see Wishlist Items.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
wishlist_id
ID of the Wishlist.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
customer_id
The customer ID. A read-only value.
items
Array of wishlist items.
is_public
Whether the wishlist is available to the public.
name
The title of the wishlist.
Response
Created
data
meta
Response metadata.
Errors
401
Unauthorized Error
500
Internal Server Error